using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using APT.MS.Domain.Entities.SE;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("关键许可人员表")]
    public class T_FO_CRUCIAL_LICENSE_OUTSOURCE_PERSON : MesEntityBase
    {
        [Description("关键许可工作表ID")]
        [DataFieldForeignKey("Nav_CrucialLicenseJob", "Nav_CrucialLicensePerson")]
        public Guid CRUCIAL_LICENSE_JOB_ID { get; set; }

        [Description("导航属性：关键许可工作表")]
        public virtual T_FO_CRUCIAL_LICENSE_JOB_OUTSOURCE Nav_CrucialLicenseJob { get; set; }

        [Description("人员名称")]
        public string USER_NAME { get; set; }
        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_OG_RELATED_USER Nav_User { get; set; }
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("证件名称")]
        public string CERTIFICATE_NAME { get; set; }

        [Description("证件编号")]
        public string CERTIFICATE_CODE { get; set; }
    }
}
